<template>
  <div
    v-if="isAdmin"
    class="container-fluid"
  >
    <el-tabs
      class="admin-tabs"
      :value="currentTab"
      type="border-card"
    >
      <el-tab-pane label="Domaines">
        <admin-business-list />
      </el-tab-pane>
      <el-tab-pane label="Gestionnaires">
        <admin-manager-list />
      </el-tab-pane>
      <el-tab-pane label="Équipes">
        <admin-team-list />
      </el-tab-pane>
    </el-tabs>
  </div>
  <div
    v-else
  >
    Vous n'avez pas la permission requise pour afficher ces informations.
  </div>
</template>

<script>
import {mapGetters} from "vuex";
import AdminBusinessList from "./Business/AdminBusinessList";
import AdminManagerList from "./Manager/AdminManagerList";
import AdminTeamList from "./Team/AdminTeamList";

export default {
  name: "AdminHome",
  components: {AdminTeamList, AdminManagerList, AdminBusinessList},
  computed: {
    currentTab() {
      return this.$route.query.tab ? this.$route.query.tab : "0"
    },
    ...mapGetters([
      'isAdmin',
    ])
  },
}
</script>

<style scoped>
  .admin-tabs {
    margin-top: 1vh;
  }
</style>